Package Base Details: alacritty-git

Git Clone URL: https://aur.archlinux.org/alacritty-git.git (read-only)
Keywords: GPU rust terminal
Submitter: quininer
Maintainer: quininer
Last Packager: quininer
Votes: 81
Popularity: 2.137497
First Submitted: 2016-11-01 13:53
Last Updated: 2019-06-11 15:04

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

dreivier commented on 2018-11-13 16:15

Not sure what happened but for me it fails with this message:

error[E0432]: unresolved import `core::hint`
  --> /home/me/.cargo/registry/src/github.com-1ecc6299db9ec823/ordered-float-1.0.1/src/lib.rs:16:11
   |
16 | use core::hint::unreachable_unchecked;
   |           ^^^^ Could not find `hint` in `core`

error[E0658]: the `#[repr(transparent)]` attribute is experimental (see issue #43036)
  --> /home/me/.cargo/registry/src/github.com-1ecc6299db9ec823/ordered-float-1.0.1/src/lib.rs:44:1
   |
44 | #[repr(transparent)]
   | ^^^^^^^^^^^^^^^^^^^^

error[E0658]: the `#[repr(transparent)]` attribute is experimental (see issue #43036)
   --> /home/me/.cargo/registry/src/github.com-1ecc6299db9ec823/ordered-float-1.0.1/src/lib.rs:173:1
    |
173 | #[repr(transparent)]
    | ^^^^^^^^^^^^^^^^^^^^

error: aborting due to 3 previous errors

aignas commented on 2018-11-12 18:41

Another fix is to add at the end of the echo line | tr - _.

nixpulvis commented on 2018-11-12 17:50

To fix this I've replaced the last segment of the pkgver with git rev-parse --short HEAD and it seems to work.

echo "$(grep '^version =' Cargo.toml|head -n1|cut -d\" -f2).$(git rev-list --count HEAD).g$(git rev-parse --short HEAD)"

eggze commented on 2018-11-12 16:50

git describe started returning v0.2.2-2-g4a8d18c because there is now tag v0.2.2; it leads to broken build with the following error:

==> ERROR: pkgver is not allowed to contain colons, forward slashes, hyphens or whitespace.
==> ERROR: pkgver() generated an invalid version: 0.2.2.990.gv0.2.2-2-g4a8d18c

bepvte commented on 2018-09-28 16:39

Spent a long time fighting with this package to get it to build Disabling the "debug" switch in the pkgbuild prevents the DWARF debugging related errors. Remove all lto relating cflags and ldflags from your makepkg.conf

quininer commented on 2018-09-18 12:18

@samhh Please update your rust version.

samhh commented on 2018-09-18 11:52

Compilation fails for me:

Compiling font v0.1.0 (file:///home/user/.cache/aurman/alacritty-git/src/alacritty/font) error[E0658]: use of unstable library feature 'pointer_methods' (see issue #43941) --> font/src/ft/fc/font_set.rs:102:60 | 102 | let ptr = (self.font_set.as_ptr()).fonts.add(self.current); | ^^^

error: aborting due to previous error

error: Could not compile font. warning: build failed, waiting for other jobs to finish... error: build failed ==> ERROR: A failure occurred in package_alacritty-git(). Aborting... 2018-09-18 12:51:26,247 - wrappers - makepkg - ERROR - makepkg query ['makepkg', '-cf', '--noconfirm'] failed in directory /home/user/.cache/aurman/alacritty-git

maximbaz commented on 2018-08-31 23:16

FFY00 but this is a -git package, are you planning to rebuild it after every commit?

FFY00 commented on 2018-08-31 22:07

Hey, I want to move this to [community]. Is that ok with you?

SuperIce97 commented on 2018-05-29 11:48

desktop-file-install is part of the desktop-file-utils package. Please add that to the makedepends.